Linux Compatibility List

Linux is a very versatile operating system for server purposes. It is robust and comes with plenty of standard, easily available software tools. Iguana is compatible with current/recent versions of most common distros.

Specifically, we have builds targeting:

  • Ubuntu (LTS releases are recommended)
  • RHEL/CentOS

To ensure best binary compatibility, pick the Iguana build closest (same or lower version) to your OS, version, and architecture (32 or 64 bit). To help you pick, here is a table of Linux systems and their corresponding recommended Iguana build types. Always use ‘_sls’ packages when available. The ‘_sls’ packages include OpenSSL of given version statically linked in.

Distro Version Iguana build type Notes
RHEL/CentOS 5 x86 (32-bit) rhel5 use ‘_sls’ package
RHEL/CentOS 5 x64 (64-bit) rhel5_x64 use ‘_sls’ package
RHEL/CentOS 6 x86 (32-bit) rhel5 (compatible) use ‘_sls’ package or install rpm package openssl098e
RHEL/CentOS 6 x64 (64-bit) rhel5_x64 (compatible) use ‘_sls’ package or install rpm package openssl098e
Ubuntu 8.04 x86 (32-bit) ubuntu804 use ‘_sls’ package
Ubuntu 8.04 x64 (64-bit) ubuntu804_x64 use ‘_sls’ package or apt-get install libssl0.9.8
Ubuntu 10.04 x86 (32-bit) ubuntu804 (compatible) use ‘_sls’ package or apt-get install libssl0.9.8
Ubuntu 10.04 x64 (64-bit) ubuntu804_x64 (compatible) use ‘_sls’ package or apt-get install libssl0.9.8
Ubuntu 11.04 x64 (64-bit) ubuntu804_x64 (compatible) use ‘_sls’ package only
Ubuntu 12.04 x64 (64-bit) ubuntu804_x64 (compatible) use ‘_sls’ package only
Ubuntu 13.04 x64 (64-bit) ubuntu804_x64 (compatible) use ‘_sls’ package only; min Iguana version 5.5.5

 

Leave A Comment?